Skip to content

Reconstructs a historical session's input timeline via HistorySource and re-executes it DETERMINISTICALLY against the supplied mocks.

POST
/v1/m/sandbox/replay
curl --request POST \
--url https://example.com/v1/m/sandbox/replay \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{ "mocks": [ { "resource": "example", "response": "example" } ], "session_ref": "example", "suite_ref": "example" }'

Reconstructs a historical session’s input timeline via HistorySource and re-executes it DETERMINISTICALLY against the supplied mocks.

X-Olivares-Tenant
string format: uuid

Target tenant id; required when the principal can act in more than one tenant.

Media type application/json
object
mocks
Any of:
Array
Any of:
object
resource
Any of:

Byte-capped before execution and persistence.

string
response
Any of:

Byte-capped before execution and persistence.

string
session_ref
required

After trimming and byte-capping, must be non-empty.

string
suite_ref
Any of:

Trimmed before optional scoring.

string
Example generated
{
"mocks": [
{
"resource": "example",
"response": "example"
}
],
"session_ref": "example",
"suite_ref": "example"
}

OK

Media type application/json
object
Example generated
{}

Bad request

Media type application/json
object
Example generated
{}

Unauthenticated

Media type application/json
object
Example generated
{}

Forbidden

Media type application/json
object
Example generated
{}

Not found

Media type application/json
object
Example generated
{}

Conflict / setup required

Media type application/json
object
Example generated
{}

Rate limited

Media type application/json
object
Example generated
{}